<?php get_header(); ?>

<!-- Page Title -->
<section class="page-title" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/images/background/page-title.jpg)">
    <div class="page-title_pattern" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/images/background/pattern-20.png)"></div>
    <div class="page-title_vector" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/images/background/pattern-21.png)"></div>
    <div class="page-title_vector-two" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/images/background/pattern-22.png)"></div>
    <div class="container">
        <h2><?php single_cat_title(); ?></h2>
        <ul class="breadcrumb">
            <li><a href="<?php echo home_url(); ?>">Home</a></li>
            <li><?php single_cat_title(); ?></li>
        </ul>
    </div>
</section>
<!-- End Page Title -->

<section class="services-three">
    <div class="container">
        <div class="row">
            <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                <div class="col-md-4">
                    <div class="card mb-4">
                        <?php if (has_post_thumbnail()) : ?>
                            <a href="<?php the_permalink(); ?>">
                                <?php the_post_thumbnail('medium', ['class' => 'card-img-top']); ?>
                            </a>
                        <?php endif; ?>
                        <div class="card-body">
                            <h5 class="card-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
                            <p class="card-text"><?php the_excerpt(); ?></p>
                            <a href="<?php the_permalink(); ?>" class="btn btn-primary">Read More</a>
                        </div>
                    </div>
                </div>
            <?php endwhile; else: ?>
                <p class="text-center">No posts found in this category.</p>
            <?php endif; ?>
        </div>

        <!-- Pagination -->
        <div class="pagination justify-content-center">
            <?php echo paginate_links(); ?>
        </div>
    </div>
</section>

<?php get_footer(); ?>
