<?php

    add_theme_support( 'post-thumbnails' );

    register_nav_menus(
        array('primary-menu'=>'Top Menu')
    );

    function options() {
    acf_add_options_page();
    }
    add_action('init', 'options');
    
// Declare WooCommerce support
add_theme_support('woocommerce');  

// Remove default WooCommerce styles
add_filter('woocommerce_enqueue_styles', '__return_empty_array');

// WooCommerce custom wrappers
function mytheme_woocommerce_wrapper_start() {
    echo '<div class="woocommerce-container">';
}
add_action('woocommerce_before_main_content', 'mytheme_woocommerce_wrapper_start', 10);

function mytheme_woocommerce_wrapper_end() {
    echo '</div>';
}
add_action('woocommerce_after_main_content', 'mytheme_woocommerce_wrapper_end', 10);

// Remove sidebar on single product page
add_action('template_redirect', function() {
    if (is_product()) {
        remove_action('woocommerce_sidebar', 'woocommerce_get_sidebar', 10);
    }
});

// Redirect to cart page after adding product
add_filter('woocommerce_add_to_cart_redirect', function() {
    return wc_get_cart_url();
});

// Remove WooCommerce breadcrumb on product pages
add_action('wp', function() {
    if (is_product()) {
        remove_action('woocommerce_before_main_content', 'woocommerce_breadcrumb', 20);
    }
});

function load_jquery() {
    if (!wp_script_is('jquery', 'enqueued')) {
        wp_enqueue_script('jquery');
    }
}
add_action('wp_enqueue_scripts', 'load_jquery');


function dequeue_conflicting_scripts() {
    wp_dequeue_script('conflicting-plugin-script'); // Replace with actual script handle
}
add_action('wp_enqueue_scripts', 'dequeue_conflicting_scripts', 99);
