<?php get_header(''); ?>


		<!-- Page Title -->
		<section class="page-title" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/images/background/page-title.jpg)">
			<div class="page-title_pattern" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/images/background/pattern-20.png)"></div>
			<div class="page-title_vector" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/images/background/pattern-21.png)"></div>
			<div class="page-title_vector-two" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/images/background/pattern-22.png)">
			</div>
			<div class="auto-container">
				<h2>Product</h2>
				<ul class="bread-crumb clearfix">
					<li><a href="<?php echo home_url();?>">Home</a></li>
					<li>Product</li>
				</ul>
			</div>
		</section>
		<!-- End Page Title -->

<div class="product-listing">
    <div class="container">
        <div class="row">
            <?php if (have_posts()) : ?>
                <?php while (have_posts()) : the_post(); global $product; ?>
                    <div class="col-xl-3 col-lg-4 col-md-6 col-12 mb-4">
                        <div class="card h-100 shadow-sm">
                            <a href="<?php the_permalink(); ?>" class="image-wrapper">
                                <?php if (has_post_thumbnail()) : ?>
                                    <?php the_post_thumbnail('medium', ['class' => 'card-img-top', 'alt' => get_the_title()]); ?>
                                <?php else : ?>
                                    <img src="<?php echo wc_placeholder_img_src(); ?>" class="card-img-top" alt="<?php the_title(); ?>">
                                <?php endif; ?>
                            </a>
                            <div class="card-body text-center">
                                <h5 class="card-title">
                                    <a href="<?php the_permalink(); ?>" class="text-dark"> <?php the_title(); ?> </a>
                                </h5>
                                <p class="card-text text-muted">
                                    <?php echo wc_get_product_category_list($product->get_id(), ', '); ?>
                                </p>
                                <p class="price text-primary fw-bold">
                                    <?php echo $product->get_price_html(); ?>
                                </p>
                                <a href="<?php echo esc_url($product->add_to_cart_url()); ?>" 
                                   class="btn btn-success w-100 add-to-cart-btn" 
                                   data-quantity="1" 
                                   data-product_id="<?php echo esc_attr($product->get_id()); ?>" 
                                   data-product_sku="<?php echo esc_attr($product->get_sku()); ?>">
                                    <i class="fas fa-shopping-cart"></i> Add to Cart
                                </a>
                            </div>
                        </div>
                    </div>
                <?php endwhile; ?>
            <?php else : ?>
                <p class="no-products text-center">No products found.</p>
            <?php endif; ?>
        </div>

        <!-- Pagination -->
    <div class="pagination-wrap mt-4 text-center">
        <nav aria-label="Page navigation">
        <?php 
        the_posts_pagination([
            'prev_text' => '<span class="page-link"><i class="fa fa-chevron-left"></i></span>',
            'next_text' => '<span class="page-link"><i class="fa fa-chevron-right"></i></span>',
            'mid_size'  => 2,
            'screen_reader_text' => ' ',
            'before_page_number' => '<span class="page-link">',
            'after_page_number'  => '</span>',
        ]);
        ?>
    </nav>
</div>

    </div>
</div>

<?php
// Include footer
get_footer(); 
?>
